Skip to content
Pile
Esc
navigateopen⌘Jpreview

Update state

PATCH/workspaces/{organizationId}/states/{id}
Path parameters
organizationIdstringrequired
idstringrequired
Request body
application/json
namestring
min length 1
typestring
colorstring
positionstring
Responses
200State updated
idstringrequired
organizationIdstringrequired
linearIdstringrequired
namestringrequired
typestringrequired
colorstring | nullrequired
positionstring | nullrequired
createdAtstringrequired
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X PATCH "/workspaces/string/states/string" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "type": "string",
  "color": "string",
  "position": "string"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "linearId": "string",
  "name": "string",
  "type": "string",
  "color": "string",
  "position": "string",
  "createdAt": "string"
}